Loading...
Searching...
No Matches
volk_kernel_defs.impl_class Class Reference

Extract kernel info from section, represent as an implementation. More...

Inherits object.

## Public Member Functions

| __init__ (self, kern_name, header, body)
| __repr__ (self)

## Data Fields

| deps = set(res.lower() for res in re.findall(r'LV_HAVE_(\w+)', header))
| name = impl_name.replace(kern_name+'_', '')
| args = list()
| is_aligned = self.name.startswith('a_')

## Detailed Description

Extract kernel info from section, represent as an implementation.

## Constructor & Destructor Documentation

## __init__()

volk_kernel_defs.impl_class.__init__ | ( |  | self,
|  |  | kern_name,
|  |  | header,
|  |  | body )

## Member Function Documentation

## __repr__()

volk_kernel_defs.impl_class.__repr__ | ( |  | self | ) |

## Field Documentation

## args

volk_kernel_defs.impl_class.args = list()

## deps

volk_kernel_defs.impl_class.deps = set(res.lower() for res in re.findall(r'LV_HAVE_(\w+)', header))

## is_aligned

volk_kernel_defs.impl_class.is_aligned = self.name.startswith('a_')

## name

volk_kernel_defs.impl_class.name = impl_name.replace(kern_name+'_', '')